FreeMat

- Main Page
- Related Pages

vtkArrayData

Section: Visualization Toolkit Filtering Classes

# Usage

Because vtkArray cannot be stored as attributes of data objects (yet), a "carrier" object is needed to pass vtkArray through the pipeline. vtkArrayData acts as a container of zero-to-many vtkArray instances, which can be retrieved via a zero-based index. Note that a collection of arrays stored in vtkArrayData may-or-may-not have related types, dimensions, or extents.

To create an instance of class vtkArrayData, simply invoke its constructor as follows

      obj = vtkArrayData

# Methods

The class vtkArrayData has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkArrayData class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkArrayData = obj.NewInstance ()`
- `vtkArrayData = obj.SafeDownCast (vtkObject o)`
- `obj.AddArray (vtkArray )` - Adds a vtkArray to the collection
- `obj.ClearArrays ()` - Clears the contents of the collection
- `vtkIdType = obj.GetNumberOfArrays ()` - Returns the number of vtkArray instances in the collection
- `vtkArray = obj.GetArray (vtkIdType index)` - Returns the n-th vtkArray in the collection
- `vtkArray = obj.GetArrayByName (string name)` - Returns the array having called name from the collection
- `int = obj.GetDataObjectType ()`
- `obj.ShallowCopy (vtkDataObject other)`
- `obj.DeepCopy (vtkDataObject other)`